# std::experimental::source_location::column

From cppreference.com
< cpp‎ | experimental‎ | source location

constexpr std::uint_least32_t column() const noexcept; |  | (library fundamentals TS v2)

Returns an implementation-defined value representing some offset from the start of the line represented by this object (i.e., the column number).

### Parameters

(none)

### Return value

An implementation-defined value representing some offset from the start of the line represented by this object (i.e., the column number).

### Example

| This section is incomplete Reason: no example

### See also

line | return the line number represented by this object (public member function)
file_name | return the file name represented by this object (public member function)
function_name | return the name of the function represented by this object, if any (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/source_location/column&oldid=98277"